Name:		halibut
Summary:	TeX-like software manual tool
Version:	1.3
Release:	%mkrel 1
License:	MIT
Group:		Text tools
URL:		http://www.chiark.greenend.org.uk/~sgtatham/halibut.html
Source:		https://www.chiark.greenend.org.uk/~sgtatham/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake

%description
Halibut is yet another text formatting system, intended primarily for
writing software documentation. It accepts a single source format and
outputs a variety of formats, planned to include text, HTML, Texinfo,
Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive
indexing and cross-referencing support, and generates hyperlinks within
output documents wherever possible.


%package	-n vim-halibut
Summary:	Syntax file for the halibut manual tool
Group:		Editors
Requires:	vim-common
BuildArch:	noarch

%description -n vim-halibut
This package provides vim syntax support for Halibut input files (*.but).


%prep
%autosetup


%build
%define _legacy_common_support 1
export CFLAGS="%{optflags}"
%cmake
%cmake_build

%install
%cmake_install
install -d  html
install -d %{buildroot}%{_datadir}/vim/syntax
install -pm 0644 misc/halibut.vim %{buildroot}%{_datadir}/vim/syntax


%files
%doc LICENCE html
%doc %_docdir/%name/
%{_bindir}/halibut
%{_mandir}/man1/*.1*
%{_infodir}/*.xz

%files -n vim-halibut
%{_datadir}/vim/syntax/*.vim


%changelog
* Fri Jun 17 2022 neoclust <neoclust> 1.3-1.mga8
+ Revision: 1864717
- New version 1.3: Fixes CVE-2021-42612, CVE-2021-42613, CVE-2021-42614 (mga#30559)

* Mon Jun 29 2020 joequant <joequant> 1.2-4.mga8
+ Revision: 1600384
- fix gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 1.2-3.mga8
+ Revision: 1512920
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1298162
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 sander85 <sander85> 1.2-1.mga7
+ Revision: 1124144
- New version: 1.2

* Thu Feb 11 2016 umeabot <umeabot> 1.1-2.mga6
+ Revision: 954282
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 1.1-1.mga6
+ Revision: 844501
- New version: 1.1

* Wed Oct 15 2014 umeabot <umeabot> 1.0-5.20100504svn8934.mga5
+ Revision: 741843
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-4.20100504svn8934.mga5
+ Revision: 680070
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Sun Jan 05 2014 pterjan <pterjan> 1.0-3.20100504svn8934.mga4
+ Revision: 564873
- Make it mass-rebuildable

* Thu Jun 30 2011 sander85 <sander85> 1.0-2.20100504svn8934.mga2
+ Revision: 116924
- add optflags back

* Thu Jun 30 2011 sander85 <sander85> 1.0-1.20100504svn8934.mga2
+ Revision: 116919
- just make
- try w/o optflags
- clean spec
- imported package halibut


* Thu Jun 30 2011 Sander Lepik <sander.lepik@eesti.ee> - 1.0-1.20100504svn8934.mga2
- Initil rebuild for Mageia

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3.20100504svn8934
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 10 2010 Chen Lei <supercyper@163.com> - 1.0-2.20100504svn8934
- merge -doc subpackage to the main package

* Tue May 04 2010 Chen Lei <supercyper@163.com> - 1.0-1.20100504svn8934
- initial rpm build
